question

linux4michelle avatar image

SmartSolar MPPT 150/70 Tr VE.Can has no Bluetooth active

Good evening,


yesterday afternoon I installed my new "SmartSolar MPPT 150/70 Tr VE.Can" with 2x3 solarpanels of 310Wp. It works very well, but when I activated Bluetooth on my Sony Xperia E dual, now devices where shown. The VictronConnect App is running fine.


Android Version 4.1.1 (the Xperia E Dual has no newer version)

VictronConnect Version 5.8 (can not install the 5.11 because of a parse error)


Thanks for your help

Michelle

smart solar set-up help
10 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

4 Answers
Guy Stewart (Victron Community Manager) avatar image
Guy Stewart (Victron Community Manager) answered ·

Hi Michelle,

The Sony is running Android 4.1.1, the minimum supported version is 4.3 for VC v5.8 and 5.0 for VC 5.11)

I have updated the documentation to make that clearer that this is now unsupported, and unlikely to work.

With the Samsung S6, please try and remove the device from the paired devices list, grant permissions to location services, make sure that location services are enabled, and then try opening VictronConnect again.

Share
10 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Guy Stewart (Victron Community Manager) avatar image
Guy Stewart (Victron Community Manager) answered ·

Hi Michelle,

The best thing to do would be to find another phone model from a friend, and see if the MPPT appears on their phone.

If that is working fine, then that could help isolate the issue to your phone, and not the MPPT.

Unfortunately support is no longer provided for Android 4.x, so if there is a specific issue with this combination, I don't think there is much that can be done from Victron's end.

6 comments Share
10 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Thankyou for your fast answer.


I will see tonight with my business partner.

What options do I have to configure the SmartSolar, WE USE ONLY Debian GNU/Linux?


I have to adjust the several charging settings to my SOPzS Batteries and also the Relais which should switch on a 24V 1000W Water Heating Element, if the Solarcharger goes into FLOAD.


Thanks

Michelle

The programming documentation for the MPPT is here:

https://www.victronenergy.com/live/victronconnect:mppt-solarchargers

&

https://www.victronenergy.com/live/victronconnect:start

Supported platforms are Windows, macOS, Android and iOS.

I haven't heard of anyone getting VictronConnect going on Linux, though there might be options out there. You might like to try opening a new question specifically about that in the Modifications space, where there are many people who are doing things with Victron products, on all sorts of platforms that are we unable to directly support ourselves.

Hello Guy,

I got some strange thing!

The Samsung Galaxy S6 from Kärt hast VictronConnect 5.11 installed (!!!) which we have NEVER done!

I can see in the Bluetooth Manager that the "SmartSolar HQ1918MFYGS" is there I can pair/unpair it.

If I run the VictronConnect App, NOTHING is shown.

My Sony Xperia E Dual which run Android 4.1.1 show also the SmartSolar, but also here with VictronConnect 5.8 nothing is shown in the device list.

Conclusion: Both smartphones (Sony and Samsung) find it in the Bluetooth Manager, but both apps 5.8 and 5.11 can not find it which mean, there is a problem with the App and not the smartphones.

If you have any suggestions, please let me know

Have a nice weekend
Michelle

More infos:


I have just tried to install the VictronConnect v5.12beta2 APK on the Samsung Galaxy S6 with Android 7.0 and it show an error message, that it can not parse the APK file because it is corrupt.


I just downloaded it with Crome directly from the Victron website.


Any suggestions?


Have a nice Sunday

Michelle

The Samsung Galaxy S6 with Android 7.0 recognise the SmartSolar in the Bluetooth manager, but the VictronConnect App 5.11 can not see it.


I have downloaded the version 5.12beta2 but if I try to install it, there is a ParseError.


Any ideas?

@linux4michelle, please take into consideration that you must not pair with the device using your phone's bluetooth manager... it's fine if it sees it there, but if you pair the phone itself to the device, then VictronConnect won't see it. Make sure your phone is not paired to the device (you may need to tell your phone to forget the device entirely), but that your BlueTooth is on, then open VictronConnect and I bet the device will show up in that list then.

This is a problem I run into often with our customers, because of course as soon as you turn on BT, your phone pops up a dialogue box asking to pair to the Smart device and people tend to accept, but you must never accept that initial dialogue box. Close it, then open VictronConnect and connect to the Smart device only through VictronConnect.

linux4michelle avatar image
linux4michelle answered ·

Summary for Samsung Galaxy S6 with Android 7:


VictronConnect 5.11:

BluetoothManager show detected device and I leafe it as it is (unpaired).

Starting VictronConnect APP and scan for devices does not find anything.


VictronConnect 5.12beta2:

Downloaded with Crome on the Telephone directly from the Victron Website and installing from the download directory give the "Parse Error".


Downloaded on my Debian GNU/Linux 9.8 Workstation, conected he Samsung Galaxy S6 and uploaded it and then tried to install it directly from the Downloads folder give also a "Parse Error" message.


I am long term OpenSource (more then 28 years) and GNU/Linux (more then 20 years) Developer and I think, I am not stupid. Looking into the Android SDK, it seems, there are MANY Blackholes where nobody know, what the sourcecodes do...


I have no clue about Android APP development, but I know, that Android has a bunch of ClosedSource software inside which does strange things. Could be also, that Samsung is modifying something (Customised Android Version) which produce the error.


Have a nice weekend

Michelle

1 comment Share
10 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Let’s stick with the 5.11 issues for now, if you want to help with the beta testing, please create a new post in the modifications space.

Can you find another phone model from a friend, and see if the MPPT appears in VictronConnect on their phone, and then report back on that.

On your phone which isn’t working properly, please create a service report and post it here - https://www.victronenergy.com/live/victronconnect:start#how_to_create_a_victronconnect_service_report

linux4michelle avatar image
linux4michelle answered ·

Good morning Guy,


First I removed the v5.11 from the Galaxy S6, then I downloaded the v5.12beta2 directly from the Website under Debian GNU/Linux 9.8 using Firefox, copied the file over the USB cable to the Galaxy S6 and tried to install it manually.


The problem persist. I get always a "parsing error" and "APK corrupt" message.


Can it be, that there is a problem with Android 7.0?


Thanks and nice Friday

Michelle

1 comment Share
10 |3000 characters needed characters left characters exceeded

Up to 8 attachments (including images) can be used with a maximum of 190.8 MiB each and 286.6 MiB total.

Is this error different or related to the original question?

Please keep beta software issues in the modifications space, and only ask about stable release versions in the normal Q&A.